package ue2.beispiele2_komplett;

import javax.swing.*;
import java.awt.*;

/**
 * Created by tobias on 20.04.2015.
 */
public class View extends JFrame{
    public View() {
        this.setTitle("YetAnotherCalculator");
        this.setDefaultCloseOperation(WindowConstants.EXIT_ON_CLOSE);

        /*
        Schritt 1
         */
        JPanel contentAll = new JPanel();
        contentAll.setLayout(new BorderLayout());

        /*
        Schritt 2
         */
        JButton start = new JButton("Start");
        JButton clear = new JButton("Clear");
        /*
        Schritt 3
        funktioniert so nicht, deswegen muessenwir ein neues Panel einfuegen.
        */
        // contentAll.add(start, BorderLayout.SOUTH);
        // contentAll.add(clear, BorderLayout.SOUTH);

        /*
        Schritt 4
         */
        JPanel contentButtons = new JPanel();
        contentButtons.setLayout(new FlowLayout());
        contentButtons.add(start);
        contentButtons.add(clear);
        contentAll.add(contentButtons, BorderLayout.SOUTH);

        /*
        Schritt 5
         */
        JTextField firstInput 	= new JTextField(5);
        JTextField secondInput 	= new JTextField(5);
        JTextField result     	= new JTextField(5);
        String[] methods 		= {"+", "-", "*", "/"};
        JComboBox<String> methodBox = new JComboBox<String>(methods);

        /*
        Schritt 6
         */
        JPanel contentInput = new JPanel(new FlowLayout());
        contentInput.add(firstInput);
        contentInput.add(methodBox);
        contentInput.add(secondInput);
        contentInput.add(new JLabel("="));
        contentInput.add(result);
        contentAll.add(contentInput, BorderLayout.CENTER);

        /*
        Schritt 7
         */
        firstInput.setText("0");
        secondInput.setText("0");
        result.setText("-");
        result.setEditable(false);
        methodBox.setSelectedIndex(2);


        this.setContentPane(contentAll);
        this.pack();

        /*
        Schritt 8
         */
        this.setLocation(100, 100);


    }
}
